Get all answers for a submission Run in API Explorer
Ask AI
GET
/api/v1/form/{form_uuid}/submission/{submission_uuid}/answer
curl \
--request GET 'https://api.plannrcrm.com/api/v1/form/6ff8f7f6-1eb3-3525-be4a-3932c805afed/submission/6ff8f7f6-1eb3-3525-be4a-3932c805afed/answer' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "a3a761ff-8086-4303-aa25-dcef24b4a38c",
"created_at": "2026-08-07T15:29:25+01:00",
"updated_at": "2026-08-07T15:29:25+01:00",
"value": "this as an answer to a form question",
"question": {
"uuid": "719b2a75-2615-45ce-a195-890f5dfca9a8",
"created_at": "2026-08-07T15:29:25+01:00",
"updated_at": "2026-08-07T15:29:25+01:00",
"section": {
"uuid": "7f1a0831-c30a-4bc3-859a-47958d4f4280",
"created_at": "2026-08-07T15:29:32+01:00",
"updated_at": "2026-08-07T15:29:32+01:00",
"title": "Personal Details",
"position": 1
},
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Your full legal name",
"type": "string",
"required": true,
"position": 1,
"selection_options": [
"option 1",
"option 2"
],
"target_field": "name",
"key": "what_is_your_name",
"linked_question": {
"type": "selection",
"field": "gender",
"label": "Gender",
"formatted_field": "Gender",
"selection_options": [
"male",
"female",
"non-binary",
"transgender",
"intersex",
"other",
"unknown"
],
"is_custom_field": false,
"forced_required": false,
"caption": "Your drink preference"
},
"linked_primary": true
}
}
]
}